logo
RunComfy
  • ComfyUI
  • トレーナー新着
  • モデル
  • API
  • 価格
discord logo
モデル
探索
すべてのモデル
ライブラリ
生成履歴
モデルAPI
APIドキュメント
APIキー
アカウント
使用量

Kling O1 Reference Video to Video:参照動画からのショット生成 | RunComfy

kling/kling-video-o1/video-to-video/reference

参照クリップから新しいショットを生成し、プロンプト、構造化参照、アスペクト比、長さ、元の音声を指定できます。

目次

1. はじめに2. 認証3. API リファレンスリクエストの送信ステータスの確認結果の取得リクエストのキャンセル4. ファイル入力ホスト済みファイル(URL)5. スキーマ入力スキーマ出力スキーマ

1. はじめに

RunComfy の API で kling/kling-video-o1/video-to-video/reference を実行します。 受け付ける入出力はモデルの スキーマ。

curl --request POST \
  --url https://model-api.runcomfy.net/v1/models/kling/kling-video-o1/video-to-video/reference \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer <token>" \
  --data '{
    "prompt": "Based on @Video1, generate the next shot. keep the style of the video",
    "video_url": "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-1.mp4",
    "elements": [
      {
        "frontal_image_url": "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-2.png",
        "reference_image_urls": [
          "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-3.jpeg"
        ]
      }
    ],
    "image_urls": [
      "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-4.png"
    ]
  }'

2. 認証

環境変数 YOUR_API_TOKEN に API キーを設定してください( プロフィールでキー管理)。すべてのリクエストの Authorization ヘッダーに Bearer トークンとして付与: Authorization: Bearer $YOUR_API_TOKEN。

3. API リファレンス

リクエストの送信

非同期の生成ジョブを送信すると、すぐに request_id と、ステータス確認・結果取得・キャンセル用の URL が返ります。

curl --request POST \
  --url https://model-api.runcomfy.net/v1/models/kling/kling-video-o1/video-to-video/reference \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer <token>" \
  --data '{
    "prompt": "Based on @Video1, generate the next shot. keep the style of the video",
    "video_url": "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-1.mp4",
    "elements": [
      {
        "frontal_image_url": "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-2.png",
        "reference_image_urls": [
          "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-3.jpeg"
        ]
      }
    ],
    "image_urls": [
      "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-4.png"
    ]
  }'

ステータスの確認

request_id の現在の状態を取得します("in_queue"、"in_progress"、"completed"、"cancelled")。

curl --request GET \
  --url https://model-api.runcomfy.net/v1/requests/{request_id}/status \
  --header "Authorization: Bearer <token>"

結果の取得

指定した request_id の最終出力とメタデータを取得します。ジョブが未完了の場合は現在の状態が返るため、ポーリングを続けられます。

curl --request GET \
  --url https://model-api.runcomfy.net/v1/requests/{request_id}/result \
  --header "Authorization: Bearer <token>"

リクエストのキャンセル

request_id でキュー中のジョブをキャンセルします。実行中のジョブはキャンセルできません。

curl --request POST \
  --url https://model-api.runcomfy.net/v1/requests/{request_id}/cancel \
  --header "Authorization: Bearer <token>"

4. ファイル入力

ホスト済みファイル(URL)

公開到達可能な HTTPS URL を指定してください。サーバー側からの取得が可能で、ログイン不要であること、レート制限やボット遮断がないことを確認してください。目安:画像 ≤ 50 MB(約 4K)、動画 ≤ 100 MB(720p で約 2~5 分)。非公開アセットは安定した URL またはプリサイン URL を推奨します。

5. スキーマ

入力スキーマ

{
  "type": "object",
  "title": "入力スキーマ",
  "required": [
    "prompt",
    "video_url",
    "elements",
    "image_urls"
  ],
  "properties": {
    "prompt": {
      "title": "プロンプト",
      "description": "要素はリスト順に@Element1、@Element2など、画像は@Image1、@Image2などとして参照します。",
      "type": "string",
      "default": "Based on @Video1, generate the next shot. keep the style of the video"
    },
    "video_url": {
      "title": "動画URL",
      "description": "元動画のURL。.mp4と.movのみ、3–10秒、入力解像度720–2160 px、最大200 MBに対応します。",
      "type": "string",
      "default": "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-1.mp4"
    },
    "elements": {
      "title": "要素",
      "description": "含める人物や物体。リスト順に@Element1、@Element2などとしてプロンプトから参照します。最大7件を指定でき、動画リクエストでは参照の合計上限にも従います。",
      "type": "array",
      "default": [
        {
          "frontal_image_url": "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-2.png",
          "reference_image_urls": [
            "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-3.jpeg"
          ]
        }
      ],
      "items": {
        "frontal_image_url": {
          "title": "正面画像URL",
          "description": "要素の正面を示すメイン画像。最大10.0 MB、最小300 × 300 px、アスペクト比0.40–2.50、タイムアウト20.0 s。",
          "type": "string",
          "format": "image_uri",
          "default": ""
        },
        "reference_image_urls": {
          "title": "参照画像URL",
          "description": "要素を別角度から示す追加画像。1~4件の参照画像URLが必要で、少なくとも1件は必須です。",
          "type": "array",
          "format": "image_uris",
          "items": {
            "type": "string",
            "format": "image_uri"
          },
          "default": [],
          "maxItems": 4,
          "minItems": 1
        }
      },
      "maxItems": 7,
      "minItems": 0
    },
    "image_urls": {
      "title": "画像",
      "description": "スタイルや外観を示す参照画像。リスト順に@Image1、@Image2などとしてプロンプトから参照します。最大4枚を指定でき、動画リクエストでは要素と参照画像の合計も4件以内にする必要があります。",
      "type": "array",
      "items": {
        "type": "string",
        "format": "image_uri"
      },
      "maxItems": 4,
      "minItems": 0,
      "default": [
        "https://playgrounds-storage-public.runcomfy.net/tools/7246/media-files/input-1-4.png"
      ]
    },
    "aspect_ratio": {
      "title": "アスペクト比(幅:高さ)",
      "description": "生成動画のアスペクト比。`auto`は入力動画に最も近い比率を選び、ほかに`16:9`、`9:16`、`1:1`を指定できます。",
      "type": "string",
      "enum": [
        "auto",
        "16:9",
        "9:16",
        "1:1"
      ],
      "default": "auto"
    },
    "duration": {
      "title": "長さ",
      "description": "生成動画の長さ。文字列`5`または`10`を指定できます。",
      "type": "string",
      "enum": [
        "5",
        "10"
      ],
      "default": "5"
    },
    "keep_audio": {
      "title": "元の音声を保持",
      "description": "入力動画の元の音声トラックを出力に残すかどうかを指定します。",
      "type": "boolean",
      "default": false
    }
  }
}

出力スキーマ

{
  "output": {
    "type": "object",
    "properties": {
      "image": {
        "type": "string",
        "format": "uri",
        "description": "単一画像 URL"
      },
      "video": {
        "type": "string",
        "format": "uri",
        "description": "単一動画 URL"
      },
      "images": {
        "type": "array",
        "description": "複数画像 URL",
        "items": {
          "type": "string",
          "format": "uri"
        }
      },
      "videos": {
        "type": "array",
        "description": "複数動画 URL",
        "items": {
          "type": "string",
          "format": "uri"
        }
      }
    }
  }
}
フォローする
  • LinkedIn
  • Facebook
  • Instagram
  • Twitter
サポート
  • Discord
  • メール
  • システムステータス
  • アフィリエイト
ビデオモデル
  • MiniMax H3 Open
  • FLUX 3 Image to Video
  • MiniMax H3 Open Image to Video
  • Wan 2.6 Flash
  • Happy Horse 1.1 reference to video
  • Seedance 1.5 Pro Text to Video
  • すべてのモデルを見る →
画像モデル
  • Seedream 5.0 Pro Image Edit
  • Flux 2 Flash Edit
  • Nano Banana Pro
  • seedream 4.0
  • GPT Image 2
  • Qwen Image Edit 2511 LoRA
  • すべてのモデルを見る →
法的情報
  • 利用規約
  • プライバシーポリシー
  • Cookieポリシー
RunComfy
著作権 2026 RunComfy. All Rights Reserved.

RunComfyは最高の ComfyUI プラットフォームです。次のものを提供しています: ComfyUIオンライン 環境とサービス、および ComfyUIワークフロー 魅力的なビジュアルが特徴です。 RunComfyはまた提供します AI Models, アーティストが最新のAIツールを活用して素晴らしいアートを作成できるようにする。